commit:     9e21defd04f22d51f7e27287c92b1faa227e2e53
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 30 12:45:36 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jan 30 13:09:28 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e21defd

dev-python/sarge: Switch to PEP 517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sarge/sarge-0.1.7-r1.ebuild | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/dev-python/sarge/sarge-0.1.7-r1.ebuild 
b/dev-python/sarge/sarge-0.1.7-r1.ebuild
new file mode 100644
index 000000000000..57cad45bee8e
--- /dev/null
+++ b/dev-python/sarge/sarge-0.1.7-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="wrapper for subprocess which provides command pipeline 
functionality"
+HOMEPAGE="
+       https://docs.red-dove.com/sarge/
+       https://pypi.org/project/sarge/
+       https://github.com/vsajip/sarge/
+"
+SRC_URI="
+       https://github.com/vsajip/sarge/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+python_test() {
+       "${EPYTHON}" test_sarge.py -v || die "Tests failed with ${EPYTHON}"
+}

Reply via email to